quietly set ACTELLIBNAME igloo
quietly set PROJECT_DIR "D:/Apps/Documentation/libero_tutorial_designs/Igloo_nano_tutorial_design_revA/Igloo_nano_tutorial_design_revB"

if {[file exists ../designer/impl1/simulation/postlayout/_info]} {
   echo "INFO: Simulation library ../designer/impl1/simulation/postlayout already exists"
} else {
   vlib ../designer/impl1/simulation/postlayout
}
vmap postlayout ../designer/impl1/simulation/postlayout
vmap igloo "D:/actel_sw/Libero84/Libero_v8.4/Designer/lib/modelsim/precompiled/vhdl/igloo"

vcom -93 -explicit -work postlayout "${PROJECT_DIR}/designer/impl1/top_ba.vhd"
vcom -93 -explicit -work postlayout "${PROJECT_DIR}/stimulus/testbench.vhd"

vsim -L igloo -L postlayout  -t 1ps -sdfmax /top_0=${PROJECT_DIR}/designer/impl1/top_ba.sdf postlayout.testbench
add wave /testbench/*
run 1000ns
